Bug 230418 - sysutils/javaservicewrapper: require Java 1.8 since Ant requires 1.8 too
Summary: sysutils/javaservicewrapper: require Java 1.8 since Ant requires 1.8 too
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-06 19:28 UTC by Michael Osipov
Modified: 2018-09-12 11:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mike.jakubik)


Attachments
Patch against /usr/ports/sysutils/javaservicewrapper (397 bytes, patch)
2018-09-03 20:10 UTC, Michael Osipov
no flags Details | Diff
Poudriere log 10.4-RELEASE amd64 (46.10 KB, text/plain)
2018-09-03 20:10 UTC, Michael Osipov
no flags Details
Poudriere log 11.2-RELEASE amd64 (35.66 KB, text/plain)
2018-09-03 20:11 UTC, Michael Osipov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2018-08-06 19:28:06 UTC
This is a spinoff of bug 213081. Bump Java version to 1.8 to avoid test failures and Ant requires 1.8 anyway. So we cannot avoid 1.8 anyway.
Comment 1 Michael Osipov 2018-09-03 20:10:15 UTC
Created attachment 196825 [details]
Patch against /usr/ports/sysutils/javaservicewrapper
Comment 2 Michael Osipov 2018-09-03 20:10:52 UTC
Created attachment 196826 [details]
Poudriere log 10.4-RELEASE amd64
Comment 3 Michael Osipov 2018-09-03 20:11:09 UTC
Created attachment 196827 [details]
Poudriere log 11.2-RELEASE amd64
Comment 4 Nathan 2018-09-10 02:58:50 UTC
In bug #231128 there's an agreement to pass maintainer'ship to you; neither contains a Makefile with the change of maintainership.
Comment 5 Michael Osipov 2018-09-10 10:38:31 UTC
(In reply to Nathan from comment #4)

The change of one line is so trivial that a patch shouldn't be necessary. But it may be..
Comment 6 Nathan 2018-09-10 11:22:52 UTC
(In reply to Michael Osipov from comment #5)
If the new version was already committed was already committed  then no need of a patch for maintainer update
Comment 7 Michael Osipov 2018-09-10 15:25:57 UTC
(In reply to Nathan from comment #6)

This patch does not include a maintainer change because it is a different ticket.
Comment 8 commit-hook freebsd_committer 2018-09-12 02:10:33 UTC
A commit references this bug:

Author: jmd
Date: Wed Sep 12 02:09:45 UTC 2018
New revision: 479580
URL: https://svnweb.freebsd.org/changeset/ports/479580

Log:
  sysutils/javaservicewrapper: require at least Java8

  As discussed in bug 213081, javaservicewrapper does not build without Java8.
  As discussed in bug 230418, require Java8 since Ant also requires it.
  As discussed in bug 231128, hand over mainainership from old maintainer to new
  maintainer.

  PR:		230418 213081 231128
  Submitted by:	michael.osipov@siemens.com (new maintainer)
  Approved by:	mike.jakubik@gmail.com (old maintainer)

Changes:
  head/sysutils/javaservicewrapper/Makefile
Comment 9 Michael Osipov 2018-09-12 11:00:06 UTC
Perfect, thank you!